Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Class OutboundCallCounter

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.stat.OutboundCallCounter

All Implemented Interfaces:
  NewContactListener

    public class OutboundCallCounter

extends Object
implements NewContactListener

Defines a new-contact listener that counts the number of outbound calls. This object encapsulates a measure matrix containing lines. When a contact of type k is notified, it is added in row k - of the matrix, and column corresponding to its statistical period.

Constructor Summary
`OutboundCallCounter(CallCenter cc, StatPeriod statP)` Constructs a new call counter for the call center model `cc`, and using `statP` to get statistical periods of calls.

Method Summary
`SumMatrix` | `getCount()` Returns the sum matrix that contains the counts.
`void` | `init()` Initializes the sum matrix for counting contacts.
`void` | `newContact(Contact contact)` Notifies the listener about a new contact `contact`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutboundCallCounter

    public OutboundCallCounter(CallCenter cc,
                               StatPeriod statP)

  Constructs a new call counter for the call center model `cc`, and using `statP` to get statistical periods of calls.

  Parameters:
    `cc` - the call center model.
    `statP` - the object for obtaining statistical periods.

Method Detail

### getCount

    public SumMatrix getCount()

  Returns the sum matrix that contains the counts.

  Returns:
    the sum matrix.

### init

    public void init()

  Initializes the sum matrix for counting contacts.

### newContact

    public void newContact(Contact contact)

  Description copied from interface: `NewContactListener`
  Notifies the listener about a new contact `contact`. The given contact object can be assumed non-`null`, and may be stored or processed in any needed ways.

  Specified by:
    `newContact` in interface `NewContactListener`
  Parameters:
    `contact` - the new contact.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.